package org.mitre.sim.pgm.intro;

import org.mitre.sim.api3.*;

public class ListenerSim
    extends Simulation {

  public class Listener implements SimEventListener {
    public void simEventOccurred(SimEvent se) {
      info("Event received at " + se.getTime());
    }
  }

  public void initialize() {
    PeriodicEntity generator = new PeriodicEntity(1.5);
    generator.addSimEventListener(new Listener());
    register(generator);
    setTimeLast(6.0);
  }

  public static void main(String[] args) {
    new ListenerSim().run();
  }

}
