package org.mitre.sim.pgm.intro;

import org.mitre.sim.api3.Entity;

public class ElkModel extends Entity {
  private double lifespan;
  private double birthday;

  public ElkModel(String name, double lifespan) {
    super(name);
    this.lifespan = lifespan;
  }

  public void agenda() {
    info("Born with lifespan " + lifespan);
    birthday = getTimeNow();
    waitForAction(lifespan);
    info("Died at age " + getAge());
  }

  public double getAge() {
    return getTimeNow() - birthday;
  }

  public void actionKill() {
    info("Killed");
  }
}
