package org.mitre.sim.pgm.intro;

import org.mitre.sim.api3.Entity;

public class TemperatureModel extends Entity {

    public TemperatureModel() {
      super("Temperature");
    }

    public void agenda() {
      for (double temp = 80; temp <= 90; temp++) {
        info(temp + " degrees");
        Atmosphere.setAirTemperature(temp);
        waitForTime(1.0);
      }
    }
}
