package org.mitre.sim.pgm.intro;

import org.mitre.sim.api3.*;

public class ThermostatModel extends Entity {

    public ThermostatModel() {
      super("Thermostat");
    }

    Trigger tooHot = new Trigger() {
       public boolean condition() {
         return Atmosphere.getAirTemperature() >= 85;
       }
    };

    public void agenda() {
      waitForActionOrTrigger(tooHot);
      info("Please turn on the air conditioner.");
    }
}
