package org.mitre.sim.pgm.intro;

import org.mitre.sim.api3.Entity;

public class GoodCauseModel extends Entity {

    public GoodCauseModel() {
      super("GoodCause");
    }

    public void actionDonate(String donation) {
      info(donation + " received");
    }

    public void agenda() {
      while (waitForAction(4.0).actionOccurred()) {}
      info("No donations received in last 4 hours, going home.");
    }
}
